sudo pacman -Syu
sudo pacman -Sy rustup cmake neovim fish go xorg-xsetroot alacritty spotifyd neofetch discord vifm docker networkmanager-openvpn htop awesome-terminal-fonts ttf-jetbrains-mono gnome-keyring playerctl base-devel

mv ../.xinitrc ~/.xinitrc
mkdir ~/.dwm
mv ./autostart.sh ~/.dwm/autostart.sh 

chsh -s /usr/bin/fish

rustup install stable

cd /opt
sudo git clone https://aur.archlinux.org/yay.git
sudo chown -R luke-else:users ./yay

cd yay
makepkg -si

cd ~

yay vscode
yay brave

mkdir ~/git
cd ~/git 

git config --global user.name "Luke Else"
git config --global user.email "mail@luke-else.co.uk"

git clone ssh://git@git.luke-else.co.uk:222/luke-else/dwm.git
git clone ssh://git@git.luke-else.co.uk:222/luke-else/dmenu.git
git clone ssh://git@git.luke-else.co.uk:222/luke-else/dwmblocks.git
git clone https://github.com/coastalwhite/lemurs

cd dwm
git checkout dwm-patched
sudo make install
cd ..

cd dmenu
sudo make install
cd ..

cd dwmblocks
sudo cp ./statusbar/* /usr/local/bin/
sudo make install
cd ..

cd lemurs
sudo chmod +x install.sh
./install.sh
cd ..

cd ~
curl https://raw.githubusercontent.com/oh-my-fish/oh-my-fish/master/bin/install | fish